local ul = Def.ActorFrame{
	Def.ActorFrame{
		Name="MoonFrame";
		InitCommand=cmd(x,SCREEN_WIDTH*0.777;y,SCREEN_CENTER_Y*1.5);
		
		LoadActor( THEME:GetPathB("_common","elements/_moon blur") )..{
			Name="BlurMoon";
			InitCommand=cmd(blend,'BlendMode_Add';zoomy,1.05;zoomx,1.15);
			OnCommand=cmd(diffuseshift;effectcolor1,color("1,1,1,0.18");effectcolor2,color("1,1,1,0.3");effectperiod,5);
			OffCommand=cmd(diffusealpha,0);
		};
		LoadActor( THEME:GetPathB("_common","elements/moon3d") )..{
			Name="MainMoon";
			InitCommand=cmd(blend,'BlendMode_Add';diffusealpha,0.5;zoom,1.25;spin;effectmagnitude,0,5,0;pitch,10);
			OffCommand=cmd(diffusealpha,0);
		};
	};
	
	Def.ActorFrame{
		Name="LogoFrame";
		InitCommand=cmd(x,SCREEN_LEFT;y,SCREEN_TOP+48);
		
		LoadActor( THEME:GetPathB("_common","elements/_logo main") )..{
			InitCommand=cmd(diffusealpha,0;horizalign,left);
			OnCommand=cmd(linear,1;diffusealpha,0.8);
			OffCommand=cmd(linear,1;diffusealpha,0);
			CodeMessageCommand=function(self, params)
				if params.Name == 'Flip' then
					if self:GetVisible() then self:visible(false);
					else self:visible(true);
					end;
				end;
			end;
		};
		LoadActor( THEME:GetPathB("_common","elements/_logo ancillary") )..{
			InitCommand=cmd(diffusealpha,0;horizalign,left);
			OnCommand=cmd(sleep,1;decelerate,1;diffusealpha,0.5);
			OffCommand=cmd(linear,1;diffusealpha,0);
		};
	};
};

return ul;